# spec file for perl-GStreamer1
#
# Copyright (c) 2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

Name:           perl-GStreamer1
Version:        0.003
Release:        1%{?dist}
Summary:        Bindings for GStreamer 1.0, the open source multimedia framework
# Full text of the License in the headers is enough,
# But https://rt.cpan.org/Ticket/Display.html?id=102878
License:        BSD
URL:            http://search.cpan.org/dist/GStreamer1/
Source0:        http://www.cpan.org/modules/by-module/GStreamer1/GStreamer1-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Devel::CheckLib)
BuildRequires:  perl(Glib::Object::Introspection)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::More)
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# For Gst-1.0.typelib and GstApp-1.0.typelib
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base

%{?perl_default_filter}


%description
GStreamer1 implements a framework that allows for processing and encoding
of multimedia sources in a manner similar to a shell pipeline.


%prep
%setup -q -n GStreamer1-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc CHANGELOG dist.ini
%{perl_vendorlib}/GStreamer1*
%{_mandir}/man3/GStreamer1*


%changelog
* Thu Mar 19 2015 Remi Collet <remi@fedoraproject.org> - 0.003-1
- Specfile autogenerated by cpanspec 1.78.
- cleanup (thanks eseyman)